// TestWinDlg.h : header file
//

#if !defined(AFX_TESTWINDLG_H__EAC1BB8F_B122_472C_B8D2_5669E0F5B491__INCLUDED_)
#define AFX_TESTWINDLG_H__EAC1BB8F_B122_472C_B8D2_5669E0F5B491__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CTestWinDlg dialog

class CTestWinDlg : public CDialog
{
// Construction
public:
	CTestWinDlg(CWnd* pParent = NULL);	// standard constructor

	bool Terminate;

	unsigned int ByteCounter;
	void UpdateByteCounter(unsigned int WriteSize);
	void ResetByteCounter();

// Dialog Data
	//{{AFX_DATA(CTestWinDlg)
	enum { IDD = IDD_TESTWIN_DIALOG };
	int		m_iomask;
	int		m_read;
	int		m_write;
	CString	m_readdata;
	int		m_paketsize;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTestWinDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTestWinDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnOpen();
	afx_msg void OnSetup();
	afx_msg void OnWrite();
	afx_msg void OnRead();
	afx_msg void OnStartReadLoop();
	afx_msg void OnStopReadLoop();
	afx_msg void OnGetFifoStatus();
	afx_msg void OnReadSinglePacket();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TESTWINDLG_H__EAC1BB8F_B122_472C_B8D2_5669E0F5B491__INCLUDED_)
